# Importation de la bibliothèque Streamlit
# Streamlit est utilisé pour créer des applications web interactives en Python
import streamlit as st

# Définition de la fonction principale pour l'onglet 2 de l'application
def app_tab2():
    # Affiche le texte "Aperçu" dans l'interface utilisateur
    # st.write() est une fonction polyvalente de Streamlit pour afficher du contenu
    st.write("Aperçu")

    # Affiche le contenu Markdown stocké dans la session
    # st.markdown() est utilisé pour rendre du texte formaté en Markdown
    # st.session_state est un dictionnaire qui conserve les données entre les rechargements de page
    # ['content'] fait référence à la clé où le contenu Markdown est stocké
    st.markdown(st.session_state['content'])